unit TimeUtils;

interface
uses
  SysUtils;

const
  Months:array [1..12] of Integer = (0  , 31, 59, 90,120,151,
                                     181,212,243,273,304,334);

function DateTimeToUTC(Date:TDateTime):LongInt;
function UTCToDateTime(Date:LongInt):TDateTime;

implementation

function DateTimeToUTC(Date:TDateTime):LongInt;
begin
     try
       Result:=Round((Date-EncodeDate(1970,1,1))*86400.0);
     except
       on EInvalidOp do Result:=0;
     end;
end;

function UTCToDateTime(Date:LongInt):TDateTime;
begin
     Result :=Date;
     Result :=EncodeDate(1970,1,1)+(Result/86400.0);
end;

end.
 