unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, WinpointAPI, ComCtrls;

type
  TForm1 = class(TForm)
    Memo: TMemo;
    WinPointAPI: TWinPointAPI;
    StatusBar1: TStatusBar;
    procedure FormCreate(Sender: TObject);
    procedure WinPointAPIConnectFailed(Sender: TObject);
    procedure MemoChange(Sender: TObject);
  private
    { Private-Deklarationen }
    Updating :Boolean;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
     Updating :=True;
     WinPointAPI.GetDialTranslations(Memo.Lines);
     Updating :=False;
end;

procedure TForm1.MemoChange(Sender: TObject);
begin
     if not Updating then WinPointAPI.SetDialTranslations(Memo.Lines);
end;

procedure TForm1.WinPointAPIConnectFailed(Sender: TObject);
begin
     MessageDlg('Conection to WinPoint failed!',mtWarning,[mbok],0);
     Application.Terminate;
end;

end.
